package org.nl.acs.opc;

/**
 * @author 20220102CG\noblelift
 */
public class OpcConfig {
    public static Boolean auto_start_opc = Boolean.valueOf(true);
    public static String udw_opc_value_key = "opc_value";
    public static Integer synchronized_millisecond = Integer.valueOf(100);
    public static Integer synchronized_exception_wait_second = Integer.valueOf(10);
    public static Integer retry_times = Integer.valueOf(3);
    public static String sync_issue_type_code = "device_opc_sync";
    public static String opc_server_default_group = "group";
    public static String resource_code = "opc_sync";
    public static String resource_name = "opc同步";

    /**
     * OPC 数据同步是否采用回调机制实现。之前是线程定期全部读，效率低。
     */
    public static Boolean opc_item_read_using_callback = false;
}
